跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Update a hook

PATCH
/admin/hooks/{id}
curl --request PATCH \
--url https://gitea.example.com/api/v1/admin/hooks/1 \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "active": true, "authorization_header": "example", "branch_filter": "example", "config": { "additionalProperty": "example" }, "events": [ "example" ], "name": "example" }'
id
required
integer format: int64

Id of the hook to update

Media typeapplication/json

EditHookOption options when modify one hook

object
active

Whether the webhook is active and will be triggered

boolean
authorization_header

Authorization header to include in webhook requests

string
branch_filter

Branch filter pattern to determine which branches trigger the webhook

string
config

Configuration settings for the webhook

object
key
additional properties
string
events

List of events that trigger this webhook

Array<string>
name

Optional human-readable name

string
Examplegenerated
{
"active": true,
"authorization_header": "example",
"branch_filter": "example",
"config": {
"additionalProperty": "example"
},
"events": [
"example"
],
"name": "example"
}

Hook

Media typeapplication/json

Hook a hook is a web hook when one repository changed

object
active

Whether the webhook is active and will be triggered

boolean
authorization_header

Authorization header to include in webhook requests

string
branch_filter

Branch filter pattern to determine which branches trigger the webhook

string
config

Configuration settings for the webhook

object
key
additional properties
string
created_at
string format: date-time
events

List of events that trigger this webhook

Array<string>
id

The unique identifier of the webhook

integer format: int64
name

Optional human-readable name for the webhook

string
type

The type of the webhook (e.g., gitea, slack, discord)

string
updated_at
string format: date-time
Examplegenerated
{
"active": true,
"authorization_header": "example",
"branch_filter": "example",
"config": {
"additionalProperty": "example"
},
"created_at": "2026-04-15T12:00:00Z",
"events": [
"example"
],
"id": 1,
"name": "example",
"type": "example",
"updated_at": "2026-04-15T12:00:00Z"
}